Summary: Wrapper for the X server which lets normal users use X
Name: xserver-wrapper
%define version 1.1
Version: %{version}
Release: 1
Copyright: GPL
Group: X11
Source: xserver-wrapper-%{version}.tar.gz
Conflicts: Xconfigurator <= 3.25
BuildRoot: /var/tmp/xserver-wrapper

%changelog

* Wed Feb 04 1998 Erik Troan <ewt@redhat.com>

- added check for -xkbdir

* Wed Jan 21 1998 Erik Troan <ewt@redhat.com>

- initial version (ported from Debian)

%description
The system's X server must run with root permission, though regular users
often need to use it. To enhance system security, this wrapper program
is used to give root permission to the X server, rather then making the
X server itself setuid root. 

%prep
%setup 

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make RPM_BUILD_ROOT="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/X
/usr/X11R6/bin/xserver-wrapper
